unit oCPCareActionEvent;
{
================================================================================
*
*       Application:  Clinical Observations
*       Revision:     $Revision: 2 $  $Modtime: 4/08/08 9:58a $
*       Developer:    dan.petit@va.gov
*       Site:         Hines OIFO
*
*       Description:  Primary Care Action Object
*
*       Notes:
*
*
================================================================================
*       $Archive: /CP Modernization/CliO/source/Common/objects/oCPCareActionEvent.pas $
================================================================================
}
interface

uses
  Classes,
  ComCtrls,
  oCPTypes,
  oCliOTypes,
  oInterfaces,
  SysUtils,
  XMLDoc,
  XMLIntf;

type
  TCPCareActionEvent = class(TInterfacedObject) //, ICPConsoleItem, ICPFlowsheet)
  private
    (*
    fDBConnection: IDBConnection;
    fIsLoaded: boolean;
    fActive: boolean;
    fComment: string;
    fID: string;
    fName: string;
    fDisplayName: string;
    fEvents: IInterfaceList;

    {ICPConsole Item}
    function getID: string; stdcall;
    function getItemType: TCPItemType; stdcall;

    function getActive: Boolean; stdcall;
    function getComment: string; stdcall;
    function getDisplayName: string; stdcall;
    function getName: string; stdcall;

    function getCanDelete: boolean; stdcall;
    function Delete: boolean; stdcall;

    function getCanRename: boolean; stdcall;
    function Rename(aNewName: string): boolean; stdcall;

    procedure setActive(aValue: boolean); stdcall;
    procedure setComment(aValue: string); stdcall;
    procedure setDisplayName(aValue: string); stdcall;
    procedure setName(aValue: string); stdcall;

    procedure AddToList(aList: TStrings); stdcall;
    procedure AddToListView(aListView: TListView); stdcall;
    function AddToTreeView(aTreeView: TTreeView; aTreeNode: TTreeNode): TTreeNode; stdcall;
    procedure Load; stdcall;

    {ICPFlowsheet Interface}
    function Page(aIndex: integer): ICPFlowsheetPage; stdcall;
    function PageCount: integer; stdcall;
    function LoadPages(aList: TStrings): integer; overload; stdcall;
    function LoadPages(aListView: TListView): integer; overload; stdcall;
    procedure InsertPage(aPage: ICPFLowsheetPage); stdcall;
    procedure RemovePage(aPage: ICPFlowsheetPage); stdcall;

    {Internal Stuff}
    function LoadFromXML(aXMLNode: IXMLNode): Boolean;
    function Insert(aDBConnection: IDBConnection): Boolean; stdcall;
    procedure Save; stdcall;
  public
    constructor Create(aXMLNode: IXMLNode; aDBConnection: IDBConnection);
    destructor Destroy; override;
    *)
  end;

implementation

uses
  oCP_Exceptions,
  uCPXML;

end.
