unit oCliOParameterFile;

interface

uses
  Classes,
  SysUtils,
  XMLDoc,
  XMLIntf,
  oCliOTypes,
  oCliO,
  oInterfaces;

type
  TCliOParameterFile = class(TObject)
  private
    fDBConnection: IDBConnection;
  public
    constructor Create(aDBConnection: IDBConnection);
    destructor Destroy; override;
  end;

implementation

{ TCliOParameterFile }

constructor TCliOParameterFile.Create(aDBConnection: IDBConnection);
begin
  inherited Create;
  fDBConnection := aDBConnection;
end;

destructor TCliOParameterFile.Destroy;
begin
  fDBConnection := nil;
  inherited;
end;

end.

