unit oGateway;

interface

type
  TLogLevel = (llCritical, llError, llWarning, llDetail, llImportant);

  ICPGatewayLogger = interface(IInterface)
    ['{C2CDC63D-8657-4943-9409-B9C8585333B2}']
    procedure Log(const AMessage: string; const ALogLevel: TLogLevel); stdcall;
  end;

const
  GATEWAY_LOG_LEVEL: array[TLogLevel] of string = ('Critical', 'Error', 'Warning', 'Detail', 'Important');

implementation

end.

